import babel from 'rollup-plugin-babel';
import {argv} from 'yargs';
import resolve from 'rollup-plugin-node-resolve';
import commonjs from 'rollup-plugin-commonjs';
import minify from 'rollup-plugin-minify';

export default {
    entry: 'src/main.js',
    dest: 'dist/kenry-validator.js',
    format: 'umd',
    moduleName: 'KenryForm',
    sourceMap: argv.w,
    plugins: [
        resolve({jsnext: true, main: true}),
        commonjs(),
        babel({
            exclude: 'node_modules/**'
        })
    ]
};
